Connections - List Connections
Returns a list of connections in the tenant.
Note
Fabric tenant admin connection management is currently in Preview (learn more).
Permissions
The caller must be a Fabric administrator or authenticate using a service principal.
Required Delegated Scopes
Tenant.Read.All or Tenant.ReadWrite.All
Limitations
None.
Microsoft Entra supported identities
This API supports the Microsoft identities listed in this section.
| Identity | Support |
|---|---|
| User | Yes |
| Service principal and Managed identities | Yes |
Interface
GET https://api.fabric.microsoft.com/v1/admin/connections
GET https://api.fabric.microsoft.com/v1/admin/connections?continuationToken={continuationToken}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
continuation
|
query |
string |
A token for retrieving the next page of results. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK. The operation was successful. |
|
| 429 Too Many Requests |
The service rate limit was exceeded. The server returns a Headers Retry-After: integer |
|
| Other Status Codes |
Common error codes:
|
Examples
List connections as admin example
Sample request
GET https://api.fabric.microsoft.com/v1/admin/connections
Sample response
{
"value": [
{
"id": "6952a7b2-aea3-414f-9d85-6c0fe5d34539",
"displayName": "ContosoConnection1",
"gatewayId": "8f72eea3-d989-4a5a-aeed-02b3aaa2ddd0",
"connectivityType": "ShareableCloud",
"connectionDetails": {
"type": "Web",
"path": "https://www.contoso.com"
},
"privacyLevel": "Public",
"credentialDetails": {
"credentialType": "Anonymous",
"singleSignOnType": "None",
"connectionEncryption": "NotEncrypted",
"skipTestConnection": false
},
"connectionRecency": {
"createdDateTime": "2023-05-23T16:22:20Z",
"lastBoundDateTime": "2023-05-26T16:22:20Z",
"lastCredentialUsedDateTime": "2023-05-27T16:22:20Z",
"myLastBoundDateTime": "2023-05-24T16:22:20Z",
"myLastCredentialUsedDateTime": "2023-05-25T16:22:20Z"
}
},
{
"id": "f6a39b76-9816-4e4b-b93a-f42e405017b7",
"displayName": "ContosoConnection2",
"gatewayId": "58376c10-5f61-4024-887e-748df4beae45",
"connectivityType": "OnPremisesGateway",
"connectionDetails": {
"type": "SQL",
"path": "contoso.database.windows.net;sales"
},
"privacyLevel": "Organizational",
"credentialDetails": {
"credentialType": "Basic",
"singleSignOnType": "None",
"connectionEncryption": "Any",
"skipTestConnection": false
},
"connectionRecency": {
"createdDateTime": "2023-05-23T16:22:20Z",
"lastBoundDateTime": "2023-05-26T16:22:20Z",
"lastCredentialUsedDateTime": "2023-05-27T16:22:20Z",
"myLastBoundDateTime": "2023-05-24T16:22:20Z",
"myLastCredentialUsedDateTime": "2023-05-25T16:22:20Z"
}
},
{
"id": "a3b4c5d6-7e8f-4a5b-9c0d-1e2f3a4b5c6d",
"displayName": "ContosoStreamingVirtualNetworkGatewayConnection",
"gatewayId": "3f8d6a4b-1c2e-4f5a-9b7c-2d6e8f1a3b9d",
"connectivityType": "StreamingVirtualNetworkGateway",
"connectionDetails": {
"type": "SQL",
"path": "contoso.database.windows.net;marketing"
},
"privacyLevel": "Organizational",
"credentialDetails": {
"credentialType": "Basic",
"singleSignOnType": "None",
"connectionEncryption": "Encrypted",
"skipTestConnection": false
}
}
],
"continuationToken": "LDEsMTAwMDAwLDA%3D",
"continuationUri": "https://api.fabric.microsoft.com/v1/connections?continuationToken=LDEsMTAwMDAwLDA%3D"
}
Definitions
| Name | Description |
|---|---|
|
Connection |
The connection encryption type of the connection. Additional connection encryption values may be added over time. |
|
Connection |
Represents the recency details about the connection. |
|
Connection |
A connection role. Additional connection roles may be added over time. |
|
Connectivity |
The connectivity type of the connection. Additional connectivity types may be added over time. |
|
Credential |
The credential type of the connection. Additional credential types may be added over time. |
|
Error |
A structured parameter providing additional machine-readable context about an error. |
|
Error |
The error related resource details object. |
|
Error |
The error response. |
|
Error |
The error response details. |
|
List |
The connection details output for list operations. |
|
List |
|
|
List |
The credential details returned when fetching a connection. |
|
On |
A connection that connects through on-premises data gateway. |
|
On |
A connection that connects through a personal on-premises data gateway. |
|
Personal |
A connection that connects through the cloud and cannot be shared. |
|
Privacy |
The privacy level setting of the connection. Additional privacy levels may be added over time. |
|
Shareable |
A connection that connects through the cloud. |
|
Single |
The single sign-on type of the connection. Additional single sign on types may be added over time. |
|
Streaming |
A connection that connects through a streaming virtual network data gateway. |
|
Virtual |
A connection that connects through a virtual network data gateway. |
ConnectionEncryption
The connection encryption type of the connection. Additional connection encryption values may be added over time.
| Value | Description |
|---|---|
| Encrypted |
The connection attempt is made using an encrypted connection. |
| Any |
The connection attempt is first made using an encrypted connection, then falls back to unencrypted connection if unsuccessful. |
| NotEncrypted |
The connection attempt is made using an unencrypted connection. |
ConnectionRecency
Represents the recency details about the connection.
| Name | Type | Description |
|---|---|---|
| createdDateTime |
string (date-time) |
The timestamp when the connection was created in UTC, using the YYYY-MM-DDTHH:mm:ssZ format. |
| lastBoundDateTime |
string (date-time) |
The timestamp when the connection was most recently bound to any item in UTC, using the YYYY-MM-DDTHH:mm:ssZ format. |
| lastCredentialUsedDateTime |
string (date-time) |
The timestamp when the connection credentials were most recently used in UTC, using the YYYY-MM-DDTHH:mm:ssZ format. |
| myLastBoundDateTime |
string (date-time) |
The timestamp when the connection was most recently bound to any item by the calling user in UTC, using the YYYY-MM-DDTHH:mm:ssZ format. |
| myLastCredentialUsedDateTime |
string (date-time) |
The timestamp when the connection credentials were most recently used by the calling user in UTC, using the YYYY-MM-DDTHH:mm:ssZ format. |
ConnectionRole
A connection role. Additional connection roles may be added over time.
| Value | Description |
|---|---|
| User |
Enables user access for the connection. |
| UserWithReshare |
Enables user with resharing access for the connection. |
| Owner |
Enables ownership access for the connection. |
| PendingOwner |
Ownership of the connection is not yet effective; the principal must update the connection credentials (using Update Connection API) to make it effective. |
ConnectivityType
The connectivity type of the connection. Additional connectivity types may be added over time.
| Value | Description |
|---|---|
| ShareableCloud |
The connection connects through the cloud and can be shared with others. |
| PersonalCloud |
The connection connects through the cloud and cannot be shared with others. |
| OnPremisesGateway |
The connection connects through an on-premises data gateway. |
| OnPremisesGatewayPersonal |
The connection connects through a personal on-premises data gateway. |
| VirtualNetworkGateway |
The connection connects through a virtual network data gateway. |
| StreamingVirtualNetworkGateway |
The connection connects through a streaming virtual network data gateway. |
| Automatic |
The connection connects through the cloud using an implicit data connection. This option is only available for specific scenarios like semantic models that use Single Sign-On (SSO).” |
| None |
The connection is not bound |
CredentialType
The credential type of the connection. Additional credential types may be added over time.
| Value | Description |
|---|---|
| Windows |
Connection uses Windows authentication to connect. Only supported for on-premises gateways. |
| Anonymous |
Connection uses anonymous authentication to connect. |
| Basic |
Connection uses basic authentication to connect. |
| Key |
Connection uses key authentication to connect. |
| OAuth2 |
Connection uses OAuth 2.0 authentication to connect. |
| WindowsWithoutImpersonation |
Connection uses Windows (without the option for impersonation) authentication to connect. Only supported for on-premises gateways (personal mode). |
| SharedAccessSignature |
Connection uses shared access signature (SAS) authentication to connect. |
| ServicePrincipal |
Connection uses service principal authentication to connect. |
| WorkspaceIdentity |
Connection uses workspace identity authentication to connect. |
| KeyPair |
Connection uses key pair authentication to connect. |
ErrorParameter
A structured parameter providing additional machine-readable context about an error.
| Name | Type | Description |
|---|---|---|
| message |
string |
A human-readable description of the parameter's meaning. |
| name |
string |
The parameter identifier. |
| value |
string |
The parameter value. |
ErrorRelatedResource
The error related resource details object.
| Name | Type | Description |
|---|---|---|
| resourceId |
string |
The resource ID that's involved in the error. |
| resourceType |
string |
The type of the resource that's involved in the error. |
ErrorResponse
The error response.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| isRetriable |
boolean |
When true, the request can be retried. Use the |
| message |
string |
A human readable representation of the error. |
| moreDetails |
List of additional error details. |
|
| parameters |
Structured parameters providing additional machine-readable context about the error. |
|
| relatedResource |
The error related resource details. |
|
| requestId |
string (uuid) |
ID of the request associated with the error. |
ErrorResponseDetails
The error response details.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| message |
string |
A human readable representation of the error. |
| parameters |
Structured parameters providing additional machine-readable context about the error. |
|
| relatedResource |
The error related resource details. |
ListConnectionDetails
The connection details output for list operations.
| Name | Type | Description |
|---|---|---|
| path |
string |
The path of the connection. |
| type |
string |
The type of the connection. |
ListConnectionsResponse
| Name | Type | Description |
|---|---|---|
| continuationToken |
string |
The token for the next result set batch. If there are no more records, it's removed from the response. |
| continuationUri |
string |
The URI of the next result set batch. If there are no more records, it's removed from the response. |
| value | Connection[]: |
A list of connections. |
ListCredentialDetails
The credential details returned when fetching a connection.
| Name | Type | Description |
|---|---|---|
| connectionEncryption |
The connection encryption setting that is used during the test connection. |
|
| credentialType |
The credential type of the connection. |
|
| singleSignOnType |
The single sign-on type of the connection. |
|
| skipTestConnection |
boolean |
Whether the connection should skip the test connection during creation and update. True - Skip the test connection, False - Do not skip the test connection. |
OnPremisesGatewayConnection
A connection that connects through on-premises data gateway.
| Name | Type | Description |
|---|---|---|
| connectionDetails |
The connection details of the connection. |
|
| connectionRecency |
The recency details about the connection. |
|
| connectivityType |
string:
On |
The connectivity type of the connection. |
| credentialDetails |
The credential details of the connection. |
|
| displayName |
string |
The display name of the connection. |
| gatewayId |
string (uuid) |
The gateway object ID through which the connection is made. For cloud connections, this is the virtual gateway ID. |
| id |
string (uuid) |
The object ID of the connection. |
| myRole |
The calling principal's effective role on the connection. When the principal is part of multiple security groups with different roles, the highest role is returned. If the principal has no role on the connection, this property is not returned. |
|
| privacyLevel |
The privacy level of the connection. |
OnPremisesGatewayPersonalConnection
A connection that connects through a personal on-premises data gateway.
| Name | Type | Description |
|---|---|---|
| connectionDetails |
The connection details of the connection. |
|
| connectionRecency |
The recency details about the connection. |
|
| connectivityType |
string:
On |
The connectivity type of the connection. |
| credentialDetails |
The credential details of the connection. |
|
| displayName |
string |
The display name of the connection. |
| gatewayId |
string (uuid) |
The gateway object ID through which the connection is made. For cloud connections, this is the virtual gateway ID. |
| id |
string (uuid) |
The object ID of the connection. |
| myRole |
The calling principal's effective role on the connection. When the principal is part of multiple security groups with different roles, the highest role is returned. If the principal has no role on the connection, this property is not returned. |
|
| privacyLevel |
The privacy level of the connection. |
PersonalCloudConnection
A connection that connects through the cloud and cannot be shared.
| Name | Type | Description |
|---|---|---|
| allowConnectionUsageInGateway |
boolean |
Allow this connection to be utilized with either on-premises data gateways or VNet data gateways. |
| connectionDetails |
The connection details of the connection. |
|
| connectionRecency |
The recency details about the connection. |
|
| connectivityType |
string:
Personal |
The connectivity type of the connection. |
| credentialDetails |
The credential details of the connection. |
|
| displayName |
string |
The display name of the connection. |
| gatewayId |
string (uuid) |
The gateway object ID through which the connection is made. For cloud connections, this is the virtual gateway ID. |
| id |
string (uuid) |
The object ID of the connection. |
| myRole |
The calling principal's effective role on the connection. When the principal is part of multiple security groups with different roles, the highest role is returned. If the principal has no role on the connection, this property is not returned. |
|
| privacyLevel |
The privacy level of the connection. |
PrivacyLevel
The privacy level setting of the connection. Additional privacy levels may be added over time.
| Value | Description |
|---|---|
| None |
No privacy level setting is configured. |
| Private |
Connections set to private contain sensitive or confidential information. Visibility can be restricted to authorized users. Data from a private connection won't fold in to other connections, including other private connections. |
| Organizational |
Connections set to organizational can fold in to private and other organizational connections. They can't fold in to public connections. Visibility is set to a trusted group. |
| Public |
Files, internet connections, and workbook data can be set to public. Data can fold in to other connections. Visibility is available to everyone. |
ShareableCloudConnection
A connection that connects through the cloud.
| Name | Type | Description |
|---|---|---|
| allowConnectionUsageInGateway |
boolean |
Allow this connection to be utilized with either on-premises data gateways or VNet data gateways. |
| allowUsageInUserControlledCode |
boolean |
Allow this connection to be used with items that allow user-controlled code such as Notebook. |
| connectionDetails |
The connection details of the connection. |
|
| connectionRecency |
The recency details about the connection. |
|
| connectivityType |
string:
Shareable |
The connectivity type of the connection. |
| credentialDetails |
The credential details of the connection. |
|
| displayName |
string |
The display name of the connection. |
| gatewayId |
string (uuid) |
The gateway object ID through which the connection is made. For cloud connections, this is the virtual gateway ID. |
| id |
string (uuid) |
The object ID of the connection. |
| myRole |
The calling principal's effective role on the connection. When the principal is part of multiple security groups with different roles, the highest role is returned. If the principal has no role on the connection, this property is not returned. |
|
| privacyLevel |
The privacy level of the connection. |
SingleSignOnType
The single sign-on type of the connection. Additional single sign on types may be added over time.
| Value | Description |
|---|---|
| None |
Connection does not use single sign-on to connect. |
| Kerberos |
Connection uses Kerberos single sign-on to connect. |
| MicrosoftEntraID |
Connection uses Microsoft Entra ID single sign-on to connect. |
| SecurityAssertionMarkupLanguage |
Connection uses Security Assertion Markup Language (SAML) single sign-on to connect. |
| KerberosDirectQueryAndRefresh |
Connection uses Kerberos DirectQuery and Refresh single sign-on to connect. |
StreamingVirtualNetworkGatewayConnection
A connection that connects through a streaming virtual network data gateway.
| Name | Type | Description |
|---|---|---|
| connectionDetails |
The connection details of the connection. |
|
| connectionRecency |
The recency details about the connection. |
|
| connectivityType |
string:
Streaming |
The connectivity type of the connection. |
| credentialDetails |
The credential details of the connection. |
|
| displayName |
string |
The display name of the connection. |
| gatewayId |
string (uuid) |
The gateway object ID of the connection. |
| id |
string (uuid) |
The object ID of the connection. |
| myRole |
The calling principal's effective role on the connection. When the principal is part of multiple security groups with different roles, the highest role is returned. If the principal has no role on the connection, this property is not returned. |
|
| privacyLevel |
The privacy level of the connection. |
VirtualNetworkGatewayConnection
A connection that connects through a virtual network data gateway.
| Name | Type | Description |
|---|---|---|
| connectionDetails |
The connection details of the connection. |
|
| connectionRecency |
The recency details about the connection. |
|
| connectivityType |
string:
Virtual |
The connectivity type of the connection. |
| credentialDetails |
The credential details of the connection. |
|
| displayName |
string |
The display name of the connection. |
| gatewayId |
string (uuid) |
The gateway object ID through which the connection is made. For cloud connections, this is the virtual gateway ID. |
| id |
string (uuid) |
The object ID of the connection. |
| myRole |
The calling principal's effective role on the connection. When the principal is part of multiple security groups with different roles, the highest role is returned. If the principal has no role on the connection, this property is not returned. |
|
| privacyLevel |
The privacy level of the connection. |